#ifndef SELFMOVE_H
#define SELFMOVE_H

#include "effects\effect.h"

class SelfMove : public Effect {
public:
    explicit SelfMove(QString param) : Effect(param) {}

    void OperateOnUnitToCell(Unit* who, Cell* where) override;
    void OperateOnCell(Cell* cell) override;
    void OperateOnUnit(Unit* unit) override;
    void Execute(Cell* from, Cell* where, Unit* who, Unit* whom, TypeOfTrigger Type) override;
};


#endif // SELFMOVE_H
